## php-zend-code 3.0.1

=== Makefile ===
# zend-expressive Makefile
#
# Primary purpose is for generating the mkdocs.yml from the bookdown.json
# sources.
#
# Configurable variables:
# - BOOKDOWN2MKDOCS - specify the path to the executable; defaults to
#   				  ./vendor/bin/bookdown2mkdocs
#
# Available targets:
# - mkdocs   - regenerate mkdocs.yml
# - all      - synonym for mkdocs target

BOOKDOWN2MKDOCS?=$(CURDIR)/vendor/bin/bookdown2mkdocs.php

.PHONY : all mkdocs bookdown2mkdocs

all : mkdocs

mkdocs : 
	@echo "Generating mkdocs.yml from bookdown.json..."
	-$(BOOKDOWN2MKDOCS) convert --site-name=zend-code --repo-url=https://github.com/zendframework/zend-code --copyright-url=http://www.zend.com/ --copyright-author="Zend Technologies USA Inc."
	@echo "[DONE] Generating mkdocs.yml from bookdown.json"

## php-zend-code 2.3.1

=== debian/changelog ===
php-zend-code (2.3.1-1) unstable; urgency=low

  * Initial release (Closes: #757477)

 -- David Prévot <taffit@debian.org>  Fri, 08 Aug 2014 10:46:27 -0400

=== debian/control ===
Source: php-zend-code
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 9), pkg-php-tools (>= 1.7~)
Standards-Version: 3.9.5
Homepage: http://framework.zend.com/
Vcs-Git: git://anonscm.debian.org/pkg-php/zendframework.git -b code
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/zendframework.git

Package: php-zend-code
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: php-zendframework-zend-code, ${phpcomposer:Debian-provide}
Description: Zend Framework - Code component
 This package provides the Code component of Zend Framework.
 It ${phpcomposer:description}.
 .
 Zend is a PHP framework for developing web applications and services.

## php-zend-code 2.3.3

=== debian/changelog ===
php-zend-code (2.3.3-1) unstable; urgency=medium

  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Thu, 18 Sep 2014 21:11:14 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper (>= 9), pkg-php-tools (>= 1.7~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://framework.zend.com/
 Vcs-Git: git://anonscm.debian.org/pkg-php/zendframework.git -b code
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/zendframework.git

=== debian/watch ===
version=3
options=uversionmangle=s/(alpha|beta|rc)/~$1/i;tr/A-Z/a-z/ \
https://github.com/zendframework/Component_ZendCode/releases \
.*/archive/release-(\d.*)\.tar\.gz

## php-zend-code 2.3.4

=== debian/changelog ===
php-zend-code (2.3.4-1) unstable; urgency=medium

  * Update copyright years
  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Thu, 22 Jan 2015 10:09:50 -0400

## php-zend-code 2.3.7

=== debian/changelog ===
php-zend-code (2.3.7-1) unstable; urgency=medium

  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Mon, 16 Mar 2015 17:56:37 -0400

php-zend-code (2.3.4-2) unstable; urgency=medium

  * Provide homemade autoload.php

 -- David Prévot <taffit@debian.org>  Sat, 07 Mar 2015 14:56:31 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
-Build-Depends: debhelper (>= 9), pkg-php-tools (>= 1.7~)
+Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.7~)
 Standards-Version: 3.9.6
 Homepage: http://framework.zend.com/
 Vcs-Git: git://anonscm.debian.org/pkg-php/zendframework.git -b code

## php-zend-code 2.6.2

=== debian/changelog ===
php-zend-code (2.6.2-1) unstable; urgency=medium

  [ David Prévot ]
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Tue, 05 Jan 2016 20:39:52 -0400

php-zend-code (2.6.1-1) unstable; urgency=medium

  [ Christophe Coevoet ]
  * Use a bound constraint and right package for the doctrine annotations

 -- David Prévot <taffit@debian.org>  Sat, 28 Nov 2015 12:27:48 -0400

php-zend-code (2.6.0-1) unstable; urgency=medium

  [ David Prévot ]
  * Drop zf2 source not used anymore
  * Workaround for OR-ed versions
  * Ship new documentation

  [ Gary Hockin ]
  * Added base documentation

  [ Matthew Weier O'Phinney ]
  * Re-target eventmanager dependency
  * Prepare for 2.6.0 release

 -- David Prévot <taffit@debian.org>  Thu, 19 Nov 2015 21:46:55 -0400

php-zend-code (2.5.2-2) unstable; urgency=medium

  * Upload to unstable since everything is in place

 -- David Prévot <taffit@debian.org>  Thu, 22 Oct 2015 18:53:12 -0400

php-zend-code (2.5.2-1) experimental; urgency=medium

  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Sun, 30 Aug 2015 15:49:20 -0400

php-zend-code (2.5.1-1) experimental; urgency=medium

  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Wed, 03 Jun 2015 16:37:18 -0400

php-zend-code (2.4.2-1) experimental; urgency=medium

  * Adapt packaging to upstream split
  * Also split packaging repositories
  * Expand package description, using upstream README

 -- David Prévot <taffit@debian.org>  Sat, 16 May 2015 19:16:02 -0400

php-zend-code (2.4.0-1) experimental; urgency=medium

  * Upload new branch to experimental
  * Update upstream changelog

 -- David Prévot <taffit@debian.org>  Sun, 05 Apr 2015 06:14:11 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.7~)
 Standards-Version: 3.9.6
 Homepage: http://framework.zend.com/
-Vcs-Git: git://anonscm.debian.org/pkg-php/zendframework.git -b code
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/zendframework.git
+Vcs-Git: git://anonscm.debian.org/pkg-php/php-zend-code.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-zend-code.git
 
 Package: php-zend-code
 Architecture: all
@@ -17,7 +17,10 @@
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: php-zendframework-zend-code, ${phpcomposer:Debian-provide}
 Description: Zend Framework - Code component
- This package provides the Code component of Zend Framework.
- It ${phpcomposer:description}.
+ `Zend\Code\Generator`
+ ${phpcomposer:description}, both to create new code as well as to update existing
+ code. While the current implementation is limited to generating PHP code, you
+ can easily extend the base class in order to provide code generation for other
+ tasks: JavaScript, configuration files, Apache Virtual Hosts, etc.
  .
  Zend is a PHP framework for developing web applications and services.

## php-zend-code 3.0.1

=== debian/changelog ===
php-zend-code (3.0.1-1build1) xenial; urgency=medium

  * No-change rebuild against php 7

 -- Nish Aravamudan <nish.aravamudan@canonical.com>  Sat, 02 Apr 2016 00:37:07 +0000

php-zend-code (3.0.1-1) experimental; urgency=medium

  [ Marco Pivetta ]
  * Preparing 3.0.1 release

  [ Christophe Coevoet ]
  * Move php_codesniffer to dev requirements

  [ David Prévot ]
  * Revert "Add override for php-codesniffer"

 -- David Prévot <taffit@debian.org>  Wed, 27 Jan 2016 01:00:06 -0400

php-zend-code (3.0.0-1) experimental; urgency=medium

  * Upload to experimental since php-proxy-manager currently (as of 1.0.2-1)
    depends on php-zend-code (<< 3.0~~)

  [ Matthew Weier O'Phinney ]
  * Use phpcs instead of php-cs-fixer
  * Proper bookdown/mkdocs toolchain
  * 3.0 readiness

 -- David Prévot <taffit@debian.org>  Thu, 14 Jan 2016 18:33:08 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
-Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.7~)
+Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.29~)
 Standards-Version: 3.9.6
 Homepage: http://framework.zend.com/
 Vcs-Git: git://anonscm.debian.org/pkg-php/php-zend-code.git

## php-zend-code 3.0.2

=== debian/changelog ===
php-zend-code (3.0.2-1) unstable; urgency=medium

  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Mon, 25 Apr 2016 20:17:47 -0400

php-zend-code (3.0.1-2) unstable; urgency=medium

  * Upload to unstable in sync with php-proxy-manager 2
  * Update Standards-Version to 3.9.7
  * Rebuild with recent pkg-php-tools for the PHP 7.0 transition

 -- David Prévot <taffit@debian.org>  Tue, 22 Mar 2016 15:58:14 -0400

## php-zend-code 3.0.4

=== debian/changelog ===
php-zend-code (3.0.4-1) unstable; urgency=medium

  [ Matthew Gamble ]
  * Resolve issues with traits in ClassScanner

 -- David Prévot <taffit@debian.org>  Thu, 30 Jun 2016 20:44:33 -0400

php-zend-code (3.0.3-1) unstable; urgency=medium

  [ Matthew Gamble ]
  * Fix handling of FQCNs in method parameters

  [ Toon Verwerft ]
  * Make sure that valid classnames are being used in the implements
    and extends section of a class.

 -- David Prévot <taffit@debian.org>  Thu, 30 Jun 2016 13:17:47 -0400

## php-zend-code 3.1.0

=== debian/changelog ===
php-zend-code (3.1.0-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * 3.1.0 release notes

 -- David Prévot <taffit@debian.org>  Tue, 22 Nov 2016 18:02:16 -1000

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.29~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://framework.zend.com/
 Vcs-Git: git://anonscm.debian.org/pkg-php/php-zend-code.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-zend-code.git
 
 Package: php-zend-code
 Architecture: all
-Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
+Depends: php-zend-eventmanager (>= 2.6),
+         ${misc:Depends},
+         ${phpcomposer:Debian-require}
 Suggests: ${phpcomposer:Debian-suggest}
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}

## php-zend-code 3.2.0

=== debian/changelog ===
php-zend-code (3.2.0-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Preparing 3.2.0 release notes

  [ David Prévot ]
  * Update Standards-Version to 4.0.1

 -- David Prévot <taffit@debian.org>  Sun, 06 Aug 2017 18:31:50 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.29~)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://framework.zend.com/
 Vcs-Git: git://anonscm.debian.org/pkg-php/php-zend-code.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-zend-code.git

## php-zend-code 3.2.0really3.1.0

=== debian/changelog ===
php-zend-code (3.2.0really3.1.0-1) unstable; urgency=medium

  * Upload as version 3.2.0really3.1.0-1 to replace version 3.2.0-1
    unfortunately uploaded to unstable instead of experimental (since it
    depends on php 7.1 that is not yet the default)

 -- David Prévot <taffit@debian.org>  Thu, 21 Sep 2017 16:20:56 -1000

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer -Xindex.md

override_dh_auto_build:
	phpab	--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src

get-orig-source:
	uscan --verbose --force --rename

=== debian/watch ===
version=3
options=uversionmangle=s/-?([^\d.])/~$1/i;tr/A-Z/a-z/ \
https://github.com/zendframework/zend-code/releases \
.*/archive/release-(\d.*)\.tar\.gz

## php-zend-code 3.3.0

=== debian/changelog ===
php-zend-code (3.3.0-2) unstable; urgency=medium

  * Upload to unstable now that PHP 7.2 is the default
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3

 -- David Prévot <taffit@debian.org>  Wed, 07 Mar 2018 15:23:30 -1000

php-zend-code (3.3.0-1) experimental; urgency=medium

  * Upload to experimental since it depends on PHP 7.1 that is not yet the
    default version

  [ Marco Pivetta ]
  * Documented 3.3.0 release changes

  [ David Prévot ]
  * Update Standards-Version to 4.1.1

 -- David Prévot <taffit@debian.org>  Mon, 23 Oct 2017 16:27:29 -1000

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.29~)
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: http://framework.zend.com/
-Vcs-Git: git://anonscm.debian.org/pkg-php/php-zend-code.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/php-zend-code.git
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-zend-code.git
+Vcs-Browser: https://salsa.debian.org/php-team/pear/php-zend-code
 
 Package: php-zend-code
 Architecture: all

## php-zend-code 3.3.1

=== debian/changelog ===
php-zend-code (3.3.1-1) unstable; urgency=medium

  [ Matthew Weier O'Phinney ]
  * Sets date for 3.3.1 release in CHANGELOG

  [ David Prévot ]
  * Update Standards-Version to 4.2.0

 -- David Prévot <taffit@debian.org>  Mon, 20 Aug 2018 17:34:43 -1000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper (>= 9), phpab, pkg-php-tools (>= 1.29~)
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: http://framework.zend.com/
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-zend-code.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-zend-code

## php-zend-code 3.4.1

=== debian/changelog ===
php-zend-code (3.4.1-1) unstable; urgency=medium

  [ Michał Bundyra ]
  * Fix exception message in ValueGenerator for invalid values
  * PHP 7.4 compatibility fix
  * release: 3.4.1 readiness

  [ David Prévot ]
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- David Prévot <taffit@debian.org>  Wed, 11 Dec 2019 15:17:20 -1000

php-zend-code (3.4.0-1) unstable; urgency=medium

  [ webimpress ]
  * release: 3.4.0 readiness

  [ David Prévot ]
  * Set upstream metadata fields: Repository.
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.4.1

 -- David Prévot <taffit@debian.org>  Sun, 06 Oct 2019 15:32:26 -1000

php-zend-code (3.3.2-1) unstable; urgency=medium

  [ webimpress ]
  * release: 3.3.2 readiness

  [ David Prévot ]
  * Document gbp import-ref usage
  * Use upstream testsuite
  * Use versioned copyright format URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.4.0
  * Fix homemade autoload.php
  * Update copyright (years)
  * Adapt packaging to new docs path
  * Updte Description

 -- David Prévot <taffit@debian.org>  Sun, 01 Sep 2019 05:28:16 -1000

=== debian/control ===
Source: php-zend-code
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 12),
               php-doctrine-annotations,
               php-zend-eventmanager,
               php-zend-stdlib,
               phpab,
               phpunit,
               pkg-php-tools
Standards-Version: 4.4.1
Homepage: https://framework.zend.com/
Vcs-Git: https://salsa.debian.org/php-team/pear/php-zend-code.git
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-zend-code

Package: php-zend-code
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: php-zendframework-zend-code, ${phpcomposer:Debian-provide}
Description: Zend Framework - Code component
 ${phpcomposer:description}.
 .
 `Zend\Code\Generator` provides facilities to generate arbitrary code using an
 object oriented interface, both to create new code as well as to update
 existing code. While the current implementation is limited to generating PHP
 code, you can easily extend the base class in order to provide code generation
 for other tasks: JavaScript, configuration files, Apache Virtual Hosts, etc.
 .
 Zend is a PHP framework for developing web applications and services.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer -Xindex.md

override_dh_auto_build:
	phpab	--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor Zend
	ln -s ../src Zend/Code
	phpab	--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		test

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	TESTS_ZEND_CODE_ANNOTATION_DOCTRINE_SUPPORT=true phpunit
else
	@echo "** tests disabled"
endif

=== debian/tests/control ===
Test-command: mkdir -p vendor ; phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test ; TESTS_ZEND_CODE_ANNOTATION_DOCTRINE_SUPPORT=true phpunit
Restrictions: rw-build-tree
Depends: php-doctrine-annotations, php-zend-stdlib, phpab, phpunit, @

## php-zend-code 4.0.0

=== debian/changelog ===
php-zend-code (4.0.0-2+deb11u1) bullseye; urgency=medium

  * Track debian/bullseye
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Sun, 18 Feb 2024 12:21:22 +0100

php-zend-code (4.0.0-2) unstable; urgency=medium

  * Upload to unstable in sync with (reverse-)dependencies
  * Install /u/s/p/autoloaders file

 -- David Prévot <taffit@debian.org>  Wed, 13 Jan 2021 23:40:38 -0400

php-zend-code (4.0.0-1) experimental; urgency=medium

  [ Laminas Bot ]
  * 4.0.0 readiness

  [ David Prévot ]
  * Fix field name case in debian/tests/control (Test-command => Test-Command).
  * Remove laminas-zendframework-bridge override

 -- David Prévot <taffit@debian.org>  Sun, 03 Jan 2021 13:31:31 -0400

php-zend-code (3.5.1-1) experimental; urgency=medium

  * Upload new Laminas component to experimental

  [ Michał Bundyra ]
  * Updates copyright notes

  [ Matthew Weier O'Phinney ]
  * Rewriting as Laminas Project package

  [ Filippo Tessarotto ]
  * Migrate PHPUnit config
  * Tests pass on PHP 8.0 (Closes: #977376)

  [ Laminas Bot ]
  * 3.5.1 readiness

  [ David Prévot ]
  * Update gbp import-ref usage
  * Migrate to Laminas

 -- David Prévot <taffit@debian.org>  Thu, 24 Dec 2020 16:28:53 -0400

php-zend-code (3.4.1-2) unstable; urgency=medium

  * Adapt to recent version of PHPUnit (9)
  * Rename main branch to debian/latest (DEP-14)
  * Fix field name case in debian/tests/control (Test-command => Test-Command).
  * Update watch file format version to 4.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Set Rules-Requires-Root: no.
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Mon, 14 Dec 2020 11:29:41 -0400

=== debian/control ===
Source: php-zend-code
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: David Prévot <taffit@debian.org>
Build-Depends: debhelper-compat (= 13),
               php-doctrine-annotations,
               php-laminas-eventmanager,
               php-laminas-stdlib,
               phpab,
               phpunit,
               pkg-php-tools
Standards-Version: 4.5.1
Homepage: https://docs.laminas.dev/laminas-code/
Vcs-Git: https://salsa.debian.org/php-team/pear/php-zend-code.git -b debian/bullseye
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-zend-code
Rules-Requires-Root: no

Package: php-zend-code
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: php-laminas-code (= ${binary:Version}), ${phpcomposer:Debian-provide}
Description: Laminas Project - Code component
 ${phpcomposer:description}.
 .
 `Laminas\Code\Generator` provides facilities to generate arbitrary code using
 an object oriented interface, both to create new code as well as to update
 existing code. While the current implementation is limited to generating PHP
 code, you can easily extend the base class in order to provide code generation
 for other tasks: JavaScript, configuration files, Apache Virtual Hosts, etc.
 .
 The Laminas Project is a PHP framework for developing web applications and
 services.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer -Xindex.md

override_dh_auto_build:
	phpab	--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor Laminas
	cp -r src Laminas/Code
	ln -s /usr/share/php/Doctrine .
	ln -s /usr/share/php/Laminas/EventManager Laminas
	ln -s /usr/share/php/Laminas/Stdlib Laminas
	phpab	--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		test

override_dh_auto_test:
	TESTS_LAMINAS_CODE_ANNOTATION_DOCTRINE_SUPPORT=true phpunit

=== debian/tests/control ===
Restrictions: rw-build-tree
Depends: php-doctrine-annotations, php-laminas-stdlib, phpab, phpunit, @
Test-Command: mkdir -p vendor ; phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test ; TESTS_LAMINAS_CODE_ANNOTATION_DOCTRINE_SUPPORT=true phpunit

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])/~$1/i;tr/A-Z/a-z/ \
https://github.com/laminas/laminas-code/releases \
.*/archive/(\d.*)\.tar\.gz

## php-zend-code 4.5.1

=== debian/changelog ===
php-zend-code (4.5.1-1) unstable; urgency=medium

  [ Massimiliano Torromeo ]
  * Fixed deprecated null parameter in trim

 -- David Prévot <taffit@debian.org>  Tue, 21 Dec 2021 14:03:59 -0400

php-zend-code (4.5.0-1) unstable; urgency=medium

  [ Alexander M. Turek ]
  * Bump laminas/laminas-coding-standard to 2.3.0
  * PHP 8.1 support

  [ Marco Pivetta ]
  * Upgraded `laminas/laminas-stdlib` to a version that is compatible with
    PHP 8.1+

  [ Adrien Crivelli ]
  * Drop `laminas/laminas-zendframework-bridge` and `zendframework/*`
    compatibility

  [ David Prévot ]
  * Drop d/pkg-php-tools-autoloaders
  * Install polyfill

 -- David Prévot <taffit@debian.org>  Wed, 08 Dec 2021 16:13:43 -0400

php-zend-code (4.4.3-2) unstable; urgency=medium

  * PHP 8.1 support

 -- David Prévot <taffit@debian.org>  Thu, 25 Nov 2021 19:29:03 -0400

php-zend-code (4.4.3-1) unstable; urgency=medium

  * Upload to unstable now that Bullseye has been released

  [ David Prévot ]
  * Use dh-sequence-phpcomposer instead of pkg-php-tools
  * Update standards version to 4.6.0, no changes needed.

  [ Ihor Sviziev ]
  * Fix incorrect argument type

 -- David Prévot <taffit@debian.org>  Thu, 07 Oct 2021 15:52:27 -0400

php-zend-code (4.4.2-1) experimental; urgency=medium

  [ Will Jones ]
  * Fix MethodGenerator Parameter Position
  * Make parameter sorting preserve array keys

 -- David Prévot <taffit@debian.org>  Wed, 14 Jul 2021 09:39:46 +0200

php-zend-code (4.4.0-1) experimental; urgency=medium

  [ Alexander M. Turek ]
  * Pass 0 instead of null to preg_match()

  [ Marco Pivetta ]
  * Dropping unused `laminas/laminas-eventmanager` dependency

  [ David Prévot ]
  * Drop php-laminas-eventmanager dependency

 -- David Prévot <taffit@debian.org>  Mon, 05 Jul 2021 07:31:28 +0200

php-zend-code (4.3.0-1) experimental; urgency=medium

  [ Laminas Bot ]
  * Bumps changelog version to 4.3.0

  [ Marco Pivetta ]
  * Remove `CHANGELOG.md` to simplify release workflow

  [ Nathanael Esayeas ]
  * Remove file headers

  [ David Prévot ]
  * Drop old upstream changelog

 -- David Prévot <taffit@debian.org>  Sun, 16 May 2021 05:58:20 -0400

php-zend-code (4.2.2-1) experimental; urgency=medium

  [ Laminas Bot ]
  * 4.2.2 readiness

  [ Martin Helmich ]
  * Fix DocBlockGenerator formatting issue

 -- David Prévot <taffit@debian.org>  Tue, 11 May 2021 13:34:24 -0400

php-zend-code (4.2.1-1) experimental; urgency=medium

  [ Laminas Bot ]
  * 4.2.1 readiness

  [ Thomas Rieschl ]
  * fix: consider missing indices in array

 -- David Prévot <taffit@debian.org>  Sun, 25 Apr 2021 09:19:48 -0400

php-zend-code (4.2.0-1) experimental; urgency=medium

  [ Michael Chekin ]
  * Making sure variadic parameters do not have default values

  [ Laminas Bot ]
  * 4.2.0 readiness

 -- David Prévot <taffit@debian.org>  Sat, 17 Apr 2021 08:47:13 -0400

php-zend-code (4.1.0-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Laminas Bot ]
  * 4.1.0 readiness

  [ David Prévot ]
  * Simplify gbp import-orig (and check signature)
  * Generate phpabtpl at build time

 -- David Prévot <taffit@debian.org>  Thu, 08 Apr 2021 21:41:55 -0400

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: David Prévot <taffit@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-phpcomposer,
                php-doctrine-annotations,
-               php-laminas-eventmanager,
                php-laminas-stdlib,
                phpab,
                phpunit,
-               pkg-php-tools
-Standards-Version: 4.5.1
+               pkg-php-tools (>= 1.41~)
+Standards-Version: 4.6.0
 Homepage: https://docs.laminas.dev/laminas-code/
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-zend-code.git -b debian/bullseye
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-zend-code.git -b debian/latest
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-zend-code
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ -Xindex.md

override_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab	--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor Laminas
	ln -s ../src Laminas/Code
	cp -a polyfill src
	phpabtpl \
                --require laminas/laminas-code \
                > debian/autoload.tests.php.tpl
	phpab	--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		test

override_dh_auto_test:
	TESTS_LAMINAS_CODE_ANNOTATION_DOCTRINE_SUPPORT=true phpunit

## php-zend-code 4.6.0

=== debian/changelog ===
php-zend-code (4.6.0-1) unstable; urgency=medium

  [ Flavio Heleno ]
  * Update FileGenerator reference documentation

 -- David Prévot <taffit@debian.org>  Tue, 02 Aug 2022 05:38:36 +0200

php-zend-code (4.5.2-1) unstable; urgency=medium

  [ Ben Davies ]
  * ReflectionEnum is not final

  [ David Prévot ]
  * Mark package as Multi-Arch: foreign
  * Update Standards-Version to 4.6.1

 -- David Prévot <taffit@debian.org>  Sat, 18 Jun 2022 16:42:29 +0200

## php-zend-code 4.8.0

=== debian/changelog ===
php-zend-code (4.8.0-1+deb12u1) bookworm; urgency=medium

  * Track debian/bookworm
  * Force system dependencies loading

 -- David Prévot <taffit@debian.org>  Thu, 15 Feb 2024 23:03:09 +0100

php-zend-code (4.8.0-1) unstable; urgency=medium

  [ Marco Pivetta ]
  * Removed dead execution branches
  * Deprecating all `::fromArray()` methods in in the package
  * Drop PHP 7 support to improve type inference
  * Further restricting supported PHP version to `~8.1.0`

  [ Stéphane Demonchaux ]
  * Use str_starts_with and str_contains where possible

  [ Nicolas Grekas ]
  * Make the return-type of ClassReflection::getStartLine() explicit

  [ Rastusik ]
  * ValueGenerator - added support for enumerations

  [ David Prévot ]
  * Drop polyfill handling

 -- David Prévot <taffit@debian.org>  Sun, 11 Dec 2022 17:50:13 +0100

php-zend-code (4.7.1-1) unstable; urgency=medium

  [ Ion Bazan ]
  * Fix generating final classes from reflection

 -- David Prévot <taffit@debian.org>  Fri, 25 Nov 2022 07:40:43 +0100

php-zend-code (4.7.0-1) unstable; urgency=medium

  [ Dorian Savina ]
  * Remove superfluous trailing line in trait usage generated code

 -- David Prévot <taffit@debian.org>  Fri, 16 Sep 2022 12:11:24 +0200

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,15 @@
                phpab,
                phpunit,
                pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://docs.laminas.dev/laminas-code/
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-zend-code.git -b debian/latest
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-zend-code.git -b debian/bookworm
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-zend-code
 Rules-Requires-Root: no
 
 Package: php-zend-code
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
 Suggests: ${phpcomposer:Debian-suggest}
 Replaces: ${phpcomposer:Debian-replace}

=== debian/rules ===
--- 
+++ 
@@ -3,13 +3,13 @@
 	dh $@ -Xindex.md
 
 override_dh_auto_build:
-	phpabtpl composer.json > debian/autoload.php.tpl
 	phpab	--output src/autoload.php \
 		--template debian/autoload.php.tpl \
 		src
 	mkdir --parents vendor Laminas
-	ln -s ../src Laminas/Code
-	cp -a polyfill src
+	cp -r src Laminas/Code
+	ln -s /usr/share/php/Doctrine .
+	ln -s /usr/share/php/Laminas/Stdlib Laminas
 	phpabtpl \
                 --require laminas/laminas-code \
                 > debian/autoload.tests.php.tpl

=== debian/tests/control ===
Restrictions: rw-build-tree, allow-stderr
Depends: php-doctrine-annotations,
         php-laminas-stdlib,
         phpab,
         phpunit,
         pkg-php-tools (>= 1.41~),
         @
Test-Command: mkdir -p vendor ; phpabtpl --require laminas/laminas-code > debian/autoload.tests.php.tpl ; phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test ; TESTS_LAMINAS_CODE_ANNOTATION_DOCTRINE_SUPPORT=true phpunit

## php-zend-code 4.11.0

=== debian/changelog ===
php-zend-code (4.11.0-1) experimental; urgency=medium

  [ Shyim ]
  * Remove composer.lock from result

 -- David Prévot <taffit@debian.org>  Sat, 20 May 2023 11:53:15 +0200

php-zend-code (4.10.0-1) experimental; urgency=medium

  [ Thomas Klein ]
  * Use output mode configured in ValueGenerator instance

 -- David Prévot <taffit@debian.org>  Wed, 08 Mar 2023 14:27:07 +0100

php-zend-code (4.9.0-1) experimental; urgency=medium

  * Upload to experimental where PHPUnit 10 is available.

  [ Ion Bazan ]
  * Upgrade to PHPUnit 10

  [ David Prévot ]
  * Update standards version to 4.6.2, no changes needed.
  * Build-Depend on phpunit >= 10
  * Display skipped tests

 -- David Prévot <taffit@debian.org>  Sun, 05 Mar 2023 08:45:15 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
                php-doctrine-annotations,
                php-laminas-stdlib,
                phpab,
-               phpunit,
-               pkg-php-tools (>= 1.41~)
-Standards-Version: 4.6.1
+               phpunit (>= 10)
+Standards-Version: 4.6.2
 Homepage: https://docs.laminas.dev/laminas-code/
-Vcs-Git: https://salsa.debian.org/php-team/pear/php-zend-code.git -b debian/bookworm
+Vcs-Git: https://salsa.debian.org/php-team/pear/php-zend-code.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-zend-code
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ -Xindex.md

override_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab	--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor Laminas
	ln -s ../src Laminas/Code
	phpabtpl \
                --require laminas/laminas-code \
                > debian/autoload.tests.php.tpl
	phpab	--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		test

override_dh_auto_test:
	TESTS_LAMINAS_CODE_ANNOTATION_DOCTRINE_SUPPORT=true phpunit --display-skipped

## php-zend-code 4.13.0

=== debian/changelog ===
php-zend-code (4.13.0-2) unstable; urgency=medium

  * Upload to unstable
  * Force system dependencies loading
  * Partially revert Upgrade to PHPUnit 10

 -- David Prévot <taffit@debian.org>  Tue, 05 Mar 2024 16:19:47 +0100

php-zend-code (4.13.0-1) experimental; urgency=medium

  [ Rajesh Kumar ]
  * PHP 8.3 support added

 -- David Prévot <taffit@debian.org>  Thu, 26 Oct 2023 07:59:21 +0200

php-zend-code (4.12.0-1) experimental; urgency=medium

  [ Martin Helmich ]
  * Allow enum value to be backed by an empty string

 -- David Prévot <taffit@debian.org>  Sat, 09 Sep 2023 10:58:19 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                php-doctrine-annotations,
                php-laminas-stdlib,
                phpab,
-               phpunit (>= 10)
+               phpunit
 Standards-Version: 4.6.2
 Homepage: https://docs.laminas.dev/laminas-code/
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-zend-code.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ -Xindex.md

override_dh_auto_build:
	phpab	--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor Laminas
	cp -r src Laminas/Code
	ln -s /usr/share/php/Doctrine .
	ln -s /usr/share/php/Laminas/Stdlib Laminas
	phpab	--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		test

override_dh_auto_test:
	TESTS_LAMINAS_CODE_ANNOTATION_DOCTRINE_SUPPORT=true phpunit

=== debian/tests/control ===
Restrictions: rw-build-tree
Depends: php-doctrine-annotations,
         php-laminas-stdlib,
         phpab,
         phpunit,
         @
Test-Command: mkdir -p vendor && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test && TESTS_LAMINAS_CODE_ANNOTATION_DOCTRINE_SUPPORT=true phpunit

## php-zend-code 4.14.0

=== debian/changelog ===
php-zend-code (4.14.0-1) unstable; urgency=medium

  [ Toon Verwerft ]
  * Return static instance on abstract class setters

  [ David Prévot ]
  * Update standards version to 4.7.0

 -- David Prévot <taffit@debian.org>  Sat, 06 Jul 2024 12:48:44 +0200

php-zend-code (4.13.0-3) unstable; urgency=medium

  * Adapt test for PHPUnit 11 (Closes: #1070613)

 -- David Prévot <taffit@debian.org>  Sun, 19 May 2024 21:40:54 +0200

## php-zend-code 4.15.1

=== debian/changelog ===
php-zend-code (4.15.1-1) unstable; urgency=medium

  [ Robert Lemke ]
  * Fix generating null return type from reflection in TypeGenerator

  [ Nishant Rana ]
  * Add Support for PHP 8.4 (#201)

 -- David Prévot <taffit@debian.org>  Sun, 27 Oct 2024 11:01:19 +0100

## php-zend-code 4.16.0

=== debian/changelog ===
php-zend-code (4.16.0-2) unstable; urgency=medium

  * Drop all patches
  * Exclude tests incompatible with PHPUnit 12

 -- David Prévot <taffit@debian.org>  Mon, 17 Feb 2025 14:01:49 +0100

php-zend-code (4.16.0-1) unstable; urgency=medium

  [ George Steel ]
  * Reset baseline post merge-up

  [ Abdul Malik Ikhsan ]
  * Update to latest PHP 8.1 syntax

  [ David Prévot ]
  * Revert "Force system dependencies loading"
  * Drop now useless symlink at build time

 -- David Prévot <taffit@debian.org>  Mon, 25 Nov 2024 08:16:21 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                php-laminas-stdlib,
                phpab,
                phpunit
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://docs.laminas.dev/laminas-code/
 Vcs-Git: https://salsa.debian.org/php-team/pear/php-zend-code.git
 Vcs-Browser: https://salsa.debian.org/php-team/pear/php-zend-code

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ -Xindex.md

override_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab	--output src/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor
	phpabtpl \
                --require-file ../src/autoload.php \
                > debian/autoload.tests.php.tpl
	phpab	--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		test

override_dh_auto_test:
	phpunit --exclude-filter 'Abstract.*GeneratorTest*'

=== debian/tests/control ===
Restrictions: rw-build-tree, allow-stderr
Depends: php-doctrine-annotations,
         php-laminas-stdlib,
         phpab,
         phpunit,
         pkg-php-tools,
         @
Test-Command: mkdir -p vendor ; phpabtpl --require laminas/laminas-code > debian/autoload.tests.php.tpl ; phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test ; phpunit --exclude-filter 'Abstract.*GeneratorTest*'

## php-zend-code 4.17.0

=== debian/changelog ===
php-zend-code (4.17.0-1) unstable; urgency=medium

  [ alexchexes ]
  * fix(MethodGenerator): Remove trailing space before return-type colon

  [ Alejandro Celaya ]
  * Add support for PHP 8.5
  * Remove all ReflectionProperty::setAccessible() calls

 -- David Prévot <taffit@debian.org>  Sun, 02 Nov 2025 07:43:56 +0100

php-zend-code (4.16.0-3) unstable; urgency=medium

  * PHPunit 12 compatibility
  * Remove Rules-Requires-Root
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Fri, 19 Sep 2025 11:28:09 +0200

=== debian/watch ===
version=4
options=uversionmangle=s/-?([^\d.])/~$1/i;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all,pgpmode=gittag \
https://github.com/laminas/laminas-code \
refs/tags/v?(\d.+)
